<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %}System Monitor{% endblock %}</title>
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <link href="{{ url_for('static', filename='style.css') }}" rel="stylesheet">
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand" href="{{ url_for('index') }}">TBC Academy</a>
        <div class="collapse navbar-collapse">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item {% if request.endpoint == 'index' %}active{% endif %}">
                    <a class="nav-link" href="{{ url_for('index') }}">Home</a>
                </li>
                <li class="nav-item {% if request.endpoint == 'system_stats' %}active{% endif %}">
                    <a class="nav-link" href="{{ url_for('system_stats') }}">System Stats</a>
                </li>
                <li class="nav-item {% if request.endpoint == 'service_logs' %}active{% endif %}">
                    <a class="nav-link" href="{{ url_for('service_logs') }}">Service Logs</a>
                </li>
            </ul>
        </div>
    </nav>

    <div class="container mt-5">
        {% block content %}{% endblock %}
    </div>

    <footer class="footer">
        <div class="container">
            <span class="text-muted">Build Version: {{ app_version }}</span>
        </div>
    </footer>
</body>
</html>
